petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCKSPGetKSP

Gets the KSP context for a KSP PC.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCKSPGetKSP(PC pc,KSP *ksp)

Not Collective but KSP returned is parallel if PC was parallel

### Input Parameter

pc -the preconditioner context

### Output Parameters

ksp -the KSP solver

### Notes

You must call KSPSetUp() before calling PCKSPGetKSP().

If the PC is not a PCKSP object it raises an error

### Keywords

PC, KSP, get, context

### Level

advanced

### Location

src/ksp/pc/impls/ksp/pcksp.c

### Implementations

PCKSPGetKSP_KSP in src/ksp/pc/impls/ksp/pcksp.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages